#include "hdb_data.hpp"

std::string test_data::bug_3238_hdb()
{
    return R"( [SOFT] AQUA+
[FORWARD_SPEED]   0.00
[PERIODS_NUMBER] 53
[HEADINGS_NUMBER] 13
[LOWEST_HEADINGS]   0.00
[HIGHEST_HEADINGS] 180.00
 [List_calculated_periods]
   0.49
   0.50
 [List_calculated_headings]
   0.000000
   15.00000
 [Mass_Inertia_matrix]
   6.351000E+01  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  6.351000E+01  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  6.351000E+01  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  1.175000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  3.076000E+01  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  3.076000E+01
 [Hydrostatic_matrix]
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  7.802556E+03  0.000000E+00  9.107915E+02  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  2.259707E+01  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  9.107914E+02  0.000000E+00  3.620298E+03  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
 [Stiffness_matrix_of_the_mooring_system]
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
 [Added_mass_Radiation_Damping]
 [ADDED_MASS_LINE_1]
    0.49  6.511999E-01  0.000000E+00  1.507071E+00  0.000000E+00  2.810279E+00  0.000000E+00
    0.50  6.187442E-01  0.000000E+00  1.429005E+00  0.000000E+00  2.540208E+00  0.000000E+00
 [ADDED_MASS_LINE_2]
    0.49  0.000000E+00  1.600245E+01  0.000000E+00 -1.764631E-01  0.000000E+00  3.625720E+00
    0.50  0.000000E+00  1.613830E+01  0.000000E+00 -1.822797E-01  0.000000E+00  3.645813E+00
 [ADDED_MASS_LINE_3]
    0.49  1.478608E+00  0.000000E+00  7.122121E+01  0.000000E+00  9.543424E+00  0.000000E+00
    0.50  1.639613E+00  0.000000E+00  7.139667E+01  0.000000E+00  1.058126E+01  0.000000E+00
 [ADDED_MASS_LINE_4]
    0.49  0.000000E+00 -1.737353E-01  0.000000E+00  1.102208E-01  0.000000E+00  6.289884E-01
    0.50  0.000000E+00 -1.799032E-01  0.000000E+00  1.104904E-01  0.000000E+00  6.311383E-01
 [ADDED_MASS_LINE_5]
    0.49  2.835095E+00  0.000000E+00  9.851217E+00  0.000000E+00  2.586365E+01  0.000000E+00
    0.50  2.546658E+00  0.000000E+00  9.131876E+00  0.000000E+00  2.363034E+01  0.000000E+00
 [ADDED_MASS_LINE_6]
    0.49  0.000000E+00  3.626206E+00  0.000000E+00  6.299767E-01  0.000000E+00  9.388985E+00
    0.50  0.000000E+00  3.646785E+00  0.000000E+00  6.319344E-01  0.000000E+00  9.492285E+00
 [DAMPING_TERM_1]
    0.49  4.696805E+00  0.000000E+00  4.002213E+00  0.000000E+00  2.356745E+01  0.000000E+00
    0.50  3.809209E+00  0.000000E+00  2.740427E+00  0.000000E+00  1.757623E+01  0.000000E+00
 [DAMPING_TERM_2]
    0.49  0.000000E+00  2.390804E+02  0.000000E+00 -1.998555E+00  0.000000E+00  7.107959E+01
    0.50  0.000000E+00  2.464362E+02  0.000000E+00 -1.970962E+00  0.000000E+00  7.391504E+01
 [DAMPING_TERM_3]
    0.49  2.810145E+00  0.000000E+00  2.568351E+02  0.000000E+00  5.436543E+01  0.000000E+00
    0.50  4.818325E+00  0.000000E+00  2.882609E+02  0.000000E+00  6.792873E+01  0.000000E+00
 [DAMPING_TERM_4]
    0.49  0.000000E+00 -1.950774E+00  0.000000E+00  6.276913E-01  0.000000E+00  6.688188E+00
    0.50  0.000000E+00 -1.932422E+00  0.000000E+00  6.567346E-01  0.000000E+00  6.998259E+00
 [DAMPING_TERM_5]
    0.49  2.354569E+01  0.000000E+00  6.203707E+01  0.000000E+00  1.518967E+02  0.000000E+00
    0.50  1.824432E+01  0.000000E+00  5.716158E+01  0.000000E+00  1.170992E+02  0.000000E+00
 [DAMPING_TERM_6]
    0.49  0.000000E+00  7.108805E+01  0.000000E+00  6.647714E+00  0.000000E+00  1.406156E+02
    0.50  0.000000E+00  7.392660E+01  0.000000E+00  6.957419E+00  0.000000E+00  1.451726E+02
 [EXCITATION_FORCES_AND_MOMENTS]
 [INCIDENCE_EFM_MOD_001]   0.000000
    0.49  1.105808E+01  0.000000E+00  1.384302E+02  0.000000E+00  1.896475E+02  0.000000E+00
    0.50  2.789106E+01  0.000000E+00  1.510936E+02  0.000000E+00  1.785015E+02  0.000000E+00
 [INCIDENCE_EFM_MOD_002]   15.00000
    0.49  2.293070E+01  3.531944E+01  1.463612E+02  2.410872E+00  1.839113E+02  4.480910E+01
    0.50  2.729501E+01  3.737061E+01  1.542640E+02  2.761972E+00  1.783800E+02  5.077173E+01
 [INCIDENCE_EFM_PH_001]   0.000000
    0.49    -1.949542E+00    -3.141592E+00    -1.666311E+00    -3.141592E+00    -1.510602E+00    -3.141592E+00
    0.50    -2.613269E+00    -3.141592E+00    -2.554203E+00    -3.141592E+00    -2.432267E+00    -3.141592E+00
 [INCIDENCE_EFM_PH_002]   15.00000
    0.49    -2.649223E+00    -1.700922E+00    -2.463350E+00    -2.017106E+00    -2.275421E+00    -1.791878E+00
    0.50    -3.000900E+00    -8.831710E-01    3.032078E+00    -6.255450E-01    3.009383E+00    -8.040570E-01
 [RAO]
 [INCIDENCE_RAO_MOD_001]   0.000000
    0.49  7.970809E-04  0.000000E+00  7.536613E-03  0.000000E+00  1.752329E+00  0.000000E+00
    0.50  1.071403E-03  0.000000E+00  8.359854E-03  0.000000E+00  1.905356E+00  0.000000E+00
 [INCIDENCE_RAO_MOD_002]   15.00000
    0.49  5.472902E-04  2.311893E-03  8.092435E-03  5.116792E-01  1.692420E+00  3.501506E-01
    0.50  1.343082E-03  2.449081E-03  8.839645E-03  6.629328E-01  1.888990E+00  4.098077E-01
 [INCIDENCE_RAO_PH_001]   0.000000
    0.49 -1.691828E-01 -1.570796E+00  2.932729E+00 -1.570796E+00  2.724738E+00 -1.570796E+00
    0.50 -2.060045E+00 -1.570796E+00 -2.549542E+00 -1.570796E+00 -2.596721E+00 -1.570796E+00
 [INCIDENCE_RAO_PH_002]   15.00000
    0.49 -1.496506E+00  2.900983E+00 -2.537048E+00 -2.848084E+00 -2.801318E+00  3.045836E+00
    0.50 -2.236584E+00  2.072317E+00 -1.883907E+00  1.884922E+00 -1.747212E+00  2.050932E+00
 [DRIFT_FORCES_AND_MOMENTS]
 [INCIDENCE_DFM_001]   0.000000
    0.49  6.042269E+02  2.401480E-04 -1.637953E+03  1.039280E-05 -1.430487E+03  1.635607E-04
    0.50  5.961086E+02 -1.117801E-04 -1.665810E+03 -6.944002E-05 -1.430557E+03 -6.191013E-05
 [INCIDENCE_DFM_002]   15.00000
    0.49  5.890151E+02  4.075271E+02 -2.849443E+03  2.051206E+02 -1.318648E+03 -1.715406E+02
    0.50  5.870449E+02  4.070400E+02 -2.858368E+03  2.011021E+02 -1.329119E+03 -1.654305E+02
)";
}
